$(function () {
    var iev = getInternetExplorerVersion(); 
    if ((iev > 0) && (iev < 9) && ($.cookie('dontShowIe8Message') != 'true')) {
            $.cookie('dontShowIe8Message', 'true');
            showMessage();
    }

    function showMessage() {
        var sMessage = 'Some features on this site are optimized for HTML5 browsers only and will not be displayed correctly onto your browser. To get full support, please switch to IE9 or above, Firefox or Chrome.';
        alert(sMessage);

    }

    function getInternetExplorerVersion() {
        var rv = -1; // Return value assumes failure.

        if (navigator.appName == 'Microsoft Internet Explorer') {
            var ua = navigator.userAgent;
            var re = new RegExp("MSIE ([0-9]{1,}[\.0-9]{0,})");
            if (re.exec(ua) != null)
                rv = parseFloat(RegExp.$1);
        }
        return rv;
    }
});